> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put organization update kyb status



## OpenAPI

````yaml Customer put /organization/updateKYBStatus/{organizationId}/{type}/{status}
openapi: 3.0.1
info:
  title: Customer
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/customer/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /organization/updateKYBStatus/{organizationId}/{type}/{status}:
    put:
      operationId: putOrganizationUpdatekybstatusOrganizationidTypeStatus
      parameters:
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
        - name: type
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/typeEnum'
        - name: status
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/KYBStatusEnum'
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
        - name: token
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateKYBStatusRequest'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    typeEnum:
      type: string
      enum:
        - SANCTION
        - PEP
        - SUPPORTING_DOCUMENTATION
        - BUSINESS_OWNER_DETAILS
        - COMPANY_ADDRESS
        - COMPANY_DETAILS
    KYBStatusEnum:
      type: string
      enum:
        - DENIED
        - SENT_FOR_REVISION
        - SEEN_BY_ADMIN
        - VERIFIED
        - WAITING_VERIFICATION
        - NOT_STARTED
    UpdateKYBStatusRequest:
      type: object
      properties:
        remark:
          type: string
          nullable: true
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````